package com.railway.business.app.service;

import com.railway.business.app.domain.AppUpgrade;
import java.util.List;
/**
* apk版本升级表
* @author zhaomn
* @date 2021/12/13
*/
public interface IAppUpgradeService{

    /**
    * 新增
    */
    int create(AppUpgrade appUpgrade);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(AppUpgrade appUpgrade);

    /**
    * 获取单个
    */
    AppUpgrade getInfo(String id);

    /**
    * 查询列表
    */
    List<AppUpgrade> getList(AppUpgrade appUpgrade);

    /**
     * 获取单个
     */
    AppUpgrade getNewestInfo();

}
